/*
 * Copyright (c) 2010 NTNU/KTH; author: Oleksandr Bodriagov. All rights reserved. :)
 
 * Class Receiver: receives incoming Bluetooth data
 */


package pkiphone;

import pkiphone.Monitor;
import javax.bluetooth.*;

public class Receiver implements Runnable
{
    private Monitor boss;

    private L2CAPConnection connection;
    private int receiveMTU;
    private byte[] incomingData;
    boolean isRunning;

    public Receiver (Monitor supervisor, L2CAPConnection L2conn)
    {
        boss = supervisor;
        connection = L2conn;
        isRunning = false;
        try
        {
            receiveMTU = connection.getReceiveMTU();
            incomingData = new byte[receiveMTU];
        }
        catch (Exception e)
        {
            boss.errorInform("Error in Receiver: " + e.toString());
        }
    }


    public void run()
    {
        int dataLength;
        while (isRunning)
        {
            dataLength = 0;
            try {
                if (connection.ready())
                {
                    dataLength = connection.receive(incomingData);
                    boss.receivedData(incomingData, dataLength);
                }
            }
            catch (Exception e)
            {}
        }
    }//end run


    public void start()
    {
        isRunning = true;

        Thread readerThread = new Thread(this);
        readerThread.start();
    }

    public void stop()
    {
        isRunning = false;
    }


}
