/*++

Copyright (c) 1997 - 1999 SCM Microsystems, Inc.

Module Name:
    PscrCB.h

Abstract:
	prototypes of callback handlers for pscr.xxx

Author:
	Andreas Straub
--*/


#if !defined( __PCSC_CALLBACK_H__ )
#define __PCSC_CALLBACK_H__


#include "bthpcsc.h"

#define PSCR_ICC_ABSENT             0x00
#define PSCR_ICC_PRESENT            0x01


NTSTATUS
CBCardPower(
	PSMARTCARD_EXTENSION SmartcardExtension
	);

NTSTATUS
CBSetProtocol(		
	PSMARTCARD_EXTENSION SmartcardExtension
	);

NTSTATUS
CBTransmit(
	PSMARTCARD_EXTENSION SmartcardExtension
	);

NTSTATUS
CBT0Transmit(		
	PSMARTCARD_EXTENSION SmartcardExtension
	);

NTSTATUS
CBCardTracking(
	PSMARTCARD_EXTENSION SmartcardExtension
	);

VOID
CBUpdateCardState(
	PSMARTCARD_EXTENSION SmartcardExtension,
    UCHAR CardState,
    BOOLEAN SystemWakeUp
	);

UCHAR 
CBGetCardState(
	PSMARTCARD_EXTENSION SmartcardExtension
	);

NTSTATUS
VdCancel(IN PDEVICE_OBJECT DeviceObject, IN PIRP Irp);

#endif // __PCSC_CALLBACK_H__

//	------------------------------- END OF FILE -------------------------------

